Name:          nv-codec-headers
Version:       13.0.19.0
Release:       2mamba
Summary:       FFmpeg version of headers required to interface with Nvidias codec APIs
Group:         Development/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://git.videolan.org/?p=ffmpeg/nv-codec-headers.git
Source:        https://git.videolan.org/git/ffmpeg/nv-codec-headers.git/n%{version}/nv-codec-headers-%{version}.tar.bz2
License:       MIT
BuildArch:     noarch
## AUTOBUILDREQ-BEGIN
## AUTOBUILDREQ-END

%description
FFmpeg version of headers required to interface with Nvidias codec APIs.

%prep
%setup -q
# Extract license
sed -n '4,25p' include/ffnvcodec/nvEncodeAPI.h > LICENSE
sed -i '1,22s/^.\{,3\}//' LICENSE # Delete C comments

%build
%make PREFIX=%{_prefix} LIBDIR=/share

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall PREFIX=%{_prefix} LIBDIR=/share

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%dir %{_includedir}/ffnvcodec
%{_includedir}/ffnvcodec/*.h
%{_datadir}/pkgconfig/ffnvcodec.pc
%doc LICENSE

%changelog
* Tue Mar 25 2025 Silvan Calarco <silvan.calarco@mambasoft.it> 13.0.19.0-2mamba
- fix pkgconfig location since noarch package

* Sun Feb 02 2025 Automatic Build System <autodist@openmamba.org> 13.0.19.0-1mamba
- automatic version update by autodist

* Fri Jan 17 2025 Silvan Calarco <silvan.calarco@mambasoft.it> 12.2.72.0-2mamba
- rebuilt as noarch

* Thu Oct 24 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 12.2.72.0-1mamba
- package created using the webbuild interface
